# Makefile for VgaGames: misc/

all: misc.o str.o bgposition.o saveload.o base64.o utf8.o

clean:
	rm -f *.o


misc.o: misc.c misc.h
	$(CC) $(CFLAGS) $(SOFLAGS) -c misc.c

str.o: str.c misc.h
	$(CC) $(CFLAGS) $(SOFLAGS) -c str.c

bgposition.o: bgposition.c misc.h
	$(CC) $(CFLAGS) $(SOFLAGS) -c bgposition.c

saveload.o: saveload.c misc.h
	$(CC) $(CFLAGS) $(SOFLAGS) -c saveload.c

base64.o: base64.c misc.h
	$(CC) $(CFLAGS) $(SOFLAGS) -c base64.c

utf8.o: utf8.c misc.h
	$(CC) $(CFLAGS) $(SOFLAGS) -c utf8.c

